# TODO: This is a strong relationship to Devise and will to stop work if we use anything different as Devise!! (se)

# We need to connect documents and payments associated to a session id with the user-Id
Devise::SessionsController.class_eval do
    before_action :before_destroy, :only => :destroy

    def before_destroy
        #Invalidate current token
        DeviseAuthentication::User.revoke_jwt(nil, current_user)

        # Tell application about logout
        ActionCable.server.broadcast "logout_channel_#{current_user.id}", {}

        # Do not remember the organisation
        session[:selected_organisation] = nil
    end
end
